Imagick::shearImage
Imagick::sketchImage
Imagick
PHP Manual

# Imagick::sigmoidalContrastImage

Adjusts the contrast of an image

### Description

bool Imagick::sigmoidalContrastImage ( bool `$sharpen` , float `$alpha` , float `$beta` [, int `$channel` = Imagick::CHANNEL_ALL ] )

Adjusts the contrast of an image with a non-linear sigmoidal contrast algorithm. Increase the contrast of the image using a sigmoidal transfer function without saturating highlights or shadows. Contrast indicates how much to increase the contrast (0 is none; 3 is typical; 20 is pushing it); mid-point indicates where midtones fall in the resultant image (0 is white; 50 is middle-gray; 100 is black). Set sharpen to `TRUE` to increase the image contrast otherwise the contrast is reduced.

### Parameters

`sharpen`

`alpha`

`beta`

`channel`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws ImagickException on error.